Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# testTests.cpp File Reference

`#include "gn/gnSequence.h"`
`#include "gn/gnGBKSource.h"`
`#include "gn/gnFASSource.h"`
`#include <algorithm>`

Go to the source code of this file.

## Functions
boolean | LocationLessthan (const gnLocation &a, const gnLocation &b)
boolean | LocationEndLessthan (const gnLocation &a, const gnLocation &b)
boolean | LocationSizeLessthan (const gnLocation &a, const gnLocation &b)
void | ComplementLocation (vector< gnLocation > &l_list)
void | DeleteRepeats (list< gnLocation > &loc_list)
void | WriteData (gnSequence &file_sequence, list< gnLocation > &loc_list, string &filename)
void | WriteList (list< gnLocation > &loc_list, string &filename)
void | print_usage (char *pname)
int | main (int argc, char *argv[])

## Function Documentation

void ComplementLocation ( | vector< gnLocation > & l_list )

| Definition at line 26 of file testTests.cpp. Referenced by main().

void DeleteRepeats ( | list< gnLocation > & loc_list )

| Definition at line 52 of file testTests.cpp. Referenced by main().

boolean LocationEndLessthan ( | const gnLocation & a,
| const gnLocation & b )`[static]`

| Definition at line 14 of file testTests.cpp. Referenced by DeleteRepeats().

boolean LocationLessthan ( | const gnLocation & a,
| const gnLocation & b )`[static]`

| Definition at line 8 of file testTests.cpp.

boolean LocationSizeLessthan ( | const gnLocation & a,
| const gnLocation & b )`[static]`

| Definition at line 20 of file testTests.cpp.

void WriteData ( | gnSequence & file_sequence,
| list< gnLocation > & loc_list,
| string & filename )

| Definition at line 73 of file testTests.cpp. Referenced by main().

void WriteList ( | list< gnLocation > & loc_list,
| string & filename )

| Definition at line 91 of file testTests.cpp. Referenced by main().

int main ( | int argc,
| char * argv[] )

| Definition at line 104 of file testTests.cpp.

void print_usage ( | char * pname )

| Definition at line 100 of file testTests.cpp. Referenced by main().